Description

This function determines whether a branch's Long-Term Support (LTS) version expires within three months.

 For more information about LTS, read our cPanel Long-Term Support documentation. 

Examples




https://hostname.example.com:2087/cpsess##########/json-api/get_current_lts_expiration_status?api.version=1




https://hostname.example.com:2087/cpsess##########/xml-api/get_current_lts_expiration_status?api.version=1




whmapi1 get_current_lts_expiration_status



{  
   "data":{  
      "expires_in_next_three_months":0,
      "full_version":"11.61.0.9999"
   },
   "metadata":{  
      "command":"get_current_lts_expiration_status",
      "version":1,
      "reason":"OK",
      "result":1
   }
}




<xml>
    <data>
        <expires_in_next_three_months>0</expires_in_next_three_months>
        <full_version>11.61.0.9999</full_version>
    </data>
    <metadata>
        <command>get_current_lts_expiration_status</command>
        <reason>OK</reason>
        <result>1</result>
        <version>1</version>
    </metadata>
</xml>



   

Parameters

This function does not accept parameters.


Returns

ReturnTypeDescriptionPossible ValuesExample
expirationinteger

When support for the build version expires.

A valid date, in Unix time format.1482419811
expires_in_next_three_months Boolean

Whether the LTS version expires within the next three months.

  • 1 — LTS expires in three months.
  • 0 — LTS does not expire in three months.
0
full_version stringThe full version number.A valid full version number.11.61.0.9999